/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package manager;

import javax.ejb.Remote;

/**
 *
 * @author Szilárd
 */
@Remote
public interface UserSessionBeanRemote {

    public void newUser(entities.Users user);

    public void update(entities.Users user);

    public java.util.List<entities.Users> allUser();

    public entities.Users login(java.lang.String name, java.lang.String password) throws helper.DatabaseException;

    public java.util.List<entities.Users> findTeacher();

    public entities.Users findById(long id);
    
}
